library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity tablica is port (
		a: in STD_LOGIC_VECTOR(2 downto 0);
		wy: out STD_LOGIC_VECTOR(7 downto 0)
		);
end tablica;

architecture dekodowanie of tablica is
begin
    with a select
   wy<= "01111001" when "001",   --1
         "00100100" when "010",   --2
         "00110000" when "011",   --3
         "00011001" when "100",   --4
         "00010010" when "101",   --5
         "00000010" when "110",   --6
         "01111000" when "111",   --7
         "01000000" when others;   --0
 end dekodowanie;
