## get the command line arguments
$moduleName  = $ARGV[1];
$ucfFileName = $ARGV[2];
## start by cleaning up previous residue files that may cause conflict
## delete _test.ucf
if (-e "_test.ucf") {
system("del _test.ucf");
}
if (-e "_test2.ucf") {
system("del _test2.ucf");
}
if (-e "_test.dat") {
system("del _test.dat");
}
## debug only
## print ("The full UCF File name is >>>$ucfFileName<<<\n");
## debug only
## system ("type $ucfFileName");
## if current UCF doesn't exist (or if one with zero size exists)
## create one with filename specified
if (!-e "$ucfFileName")  {
open (UCFFILE, ">$ucfFileName");
print UCFFILE ("#### UCF file created by Project Navigator");
close (UCFFILE);
}
if (-z "$ucfFileName")  {
open (UCFFILE, ">$ucfFileName");
print UCFFILE ("#### UCF file created by Project Navigator");
close (UCFFILE);
}
## debug only
## system ("type $ucfFileName");
## copy current UCF file to _test.ucf
system ("copy $ucfFileName _test.ucf > nul");
## call Constraints Editor and pass UCF File
system ("constraints_editor $ucfFileName licz_dek.ngd");
## copy the UCF file to _test2.ucf
system ("copy $ucfFileName _test2.ucf > nul");
## call chkdate (which will compare _test.ucf and _test2.ucf and if
## they have different time stamps, ask the user whether to reset
## impl data. If user answers yes, file _test.dat will be created)
system("$ARGV[0]\\chkdate.exe");
## if _test.dat exists, rename ngd file, ngd report
if (-e "_test.dat")  {
open (INPUT, ">chkdate.err");
print INPUT  (" Implementation Results have been RESET ! \n Please re-run the 'Implement Design' process so that your constraint changes are incorporated.\n");
print (" Implementation Results have been RESET ! \n Please re-run the 'Implement Design' process so that your constraint changes are incorporated.\n");
close (INPUT);
if (-e "licz_dek_last_ngd.ngd")  {
system ("del licz_dek_last_ngd.ngd");
}
if (-e "licz_dek_last_ngd_report.bld")  {
system ("del licz_dek_last_ngd_report.bld");
}
system ("ren licz_dek.ngd licz_dek_last_ngd.ngd");
system ("ren licz_dek.bld licz_dek_last_ngd_report.bld");
}
else  {
open (INPUT, ">chkdate.err");
print INPUT  (" Existing implementation results have been retained !\n To incorporate your constraint changes, right click on the 'Implement Design' process and select 'Rerun All'.\n");
print (" Existing implementation results have been retained !\n To incorporate your constraint changes, right click on the 'Implement Design' process and select 'Rerun All'.\n");
close (INPUT);
}
## clean up again at the end by deleting _test.ucf, _test2.ucf, _test.dat
if (-e "_test.ucf") {
system("del _test.ucf");
}
if (-e "_test2.ucf") {
system("del _test2.ucf");
}
if (-e "_test.dat") {
system("del _test.dat");
}
