-- C:\KSIAZKA\VHDL\7SEGMENT\7SEGMENT_TB.VHD
-- VHDL Test Bench created by
-- Visual Software Solution's HDL Bencher 1.02
-- Product info/updates: www.testbench.com
-- Support: support@testbench.com
-- Sales: sales@testbench.com / call (954) 370-9030
-- Wed Mar 13 03:28:09 2002

LIBRARY  IEEE;
USE IEEE.STD_LOGIC_1164.ALL;

LIBRARY ieee;
USE IEEE.STD_LOGIC_TEXTIO.ALL;
USE STD.TEXTIO.ALL;

ENTITY testbench IS
END testbench;

ARCHITECTURE testbench_arch OF testbench IS
-- If you get a compiler error on the following line,
-- from the menu do Options->Configuration select VHDL 93
FILE RESULTS: TEXT IS OUT "results.txt";
	COMPONENT segment
		PORT (
			a3 : in  std_logic;
			a2 : in  std_logic;
			a1 : in  std_logic;
			a0 : in  std_logic;
			inh : in  std_logic;
			led_a : out  std_logic;
			led_b : out  std_logic;
			led_c : out  std_logic;
			led_d : out  std_logic;
			led_e : out  std_logic;
			led_f : out  std_logic;
			led_g : out  std_logic
		);
	END COMPONENT;

	SIGNAL a3 : std_logic;
	SIGNAL a2 : std_logic;
	SIGNAL a1 : std_logic;
	SIGNAL a0 : std_logic;
	SIGNAL inh : std_logic;
	SIGNAL led_a : std_logic;
	SIGNAL led_b : std_logic;
	SIGNAL led_c : std_logic;
	SIGNAL led_d : std_logic;
	SIGNAL led_e : std_logic;
	SIGNAL led_f : std_logic;
	SIGNAL led_g : std_logic;

BEGIN
	UUT : segment
	PORT MAP (
		a3 => a3,
		a2 => a2,
		a1 => a1,
		a0 => a0,
		inh => inh,
		led_a => led_a,
		led_b => led_b,
		led_c => led_c,
		led_d => led_d,
		led_e => led_e,
		led_f => led_f,
		led_g => led_g
	);

	PROCESS
		VARIABLE TX_OUT : LINE;
		VARIABLE TX_ERROR : INTEGER := 0;

		PROCEDURE CHECK_led_a(
			next_led_a : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (led_a /= next_led_a) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns led_a="));
				write(TX_LOC, led_a);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_led_a);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_led_b(
			next_led_b : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (led_b /= next_led_b) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns led_b="));
				write(TX_LOC, led_b);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_led_b);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_led_c(
			next_led_c : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (led_c /= next_led_c) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns led_c="));
				write(TX_LOC, led_c);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_led_c);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_led_d(
			next_led_d : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (led_d /= next_led_d) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns led_d="));
				write(TX_LOC, led_d);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_led_d);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_led_e(
			next_led_e : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (led_e /= next_led_e) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns led_e="));
				write(TX_LOC, led_e);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_led_e);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_led_f(
			next_led_f : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (led_f /= next_led_f) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns led_f="));
				write(TX_LOC, led_f);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_led_f);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_led_g(
			next_led_g : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (led_g /= next_led_g) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns led_g="));
				write(TX_LOC, led_g);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_led_g);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		BEGIN
		-- --------------------
		a3 <= transport '0';
		a2 <= transport '0';
		a1 <= transport '0';
		a0 <= transport '0';
		inh <= transport '0';
		-- --------------------
		WAIT FOR 25 ns; -- Time=25 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=50 ns
		a0 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=75 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=100 ns
		a1 <= transport '1';
		a0 <= transport '0';
		inh <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=125 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=150 ns
		a0 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=175 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=200 ns
		a2 <= transport '1';
		a1 <= transport '0';
		a0 <= transport '0';
		-- --------------------
		WAIT FOR 25 ns; -- Time=225 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=250 ns
		a0 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=275 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=300 ns
		a1 <= transport '1';
		a0 <= transport '0';
		-- --------------------
		WAIT FOR 25 ns; -- Time=325 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=350 ns
		a0 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=375 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=400 ns
		a3 <= transport '1';
		a2 <= transport '0';
		a1 <= transport '0';
		a0 <= transport '0';
		-- --------------------
		WAIT FOR 25 ns; -- Time=425 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=450 ns
		a0 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=475 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=500 ns
		a1 <= transport '1';
		a0 <= transport '0';
		inh <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=525 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=550 ns
		a0 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=575 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=600 ns
		a2 <= transport '1';
		a1 <= transport '0';
		a0 <= transport '0';
		-- --------------------
		WAIT FOR 25 ns; -- Time=625 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=650 ns
		a0 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=675 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=700 ns
		a1 <= transport '1';
		a0 <= transport '0';
		-- --------------------
		WAIT FOR 25 ns; -- Time=725 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=750 ns
		a0 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=775 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=800 ns
		a3 <= transport '0';
		a2 <= transport '0';
		a1 <= transport '0';
		-- --------------------
		WAIT FOR 25 ns; -- Time=825 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=850 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=875 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=900 ns
		a1 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=925 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=950 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=975 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1000 ns
		a2 <= transport '1';
		a1 <= transport '0';
		-- --------------------
		WAIT FOR 25 ns; -- Time=1025 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1050 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1075 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1100 ns
		a1 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=1125 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1150 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1175 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1200 ns
		a3 <= transport '1';
		a2 <= transport '0';
		a1 <= transport '0';
		-- --------------------
		WAIT FOR 25 ns; -- Time=1225 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1250 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1275 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1300 ns
		a1 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=1325 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1350 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1375 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1400 ns
		a2 <= transport '1';
		a1 <= transport '0';
		-- --------------------
		WAIT FOR 25 ns; -- Time=1425 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1450 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1475 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1500 ns
		a1 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=1525 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1550 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1575 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1600 ns
		a3 <= transport '0';
		a2 <= transport '0';
		-- --------------------
		WAIT FOR 25 ns; -- Time=1625 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1650 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1675 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1700 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1725 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1750 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1775 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1800 ns
		a2 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=1825 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1850 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1875 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1900 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1925 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1950 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=1975 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2000 ns
		a3 <= transport '1';
		a2 <= transport '0';
		-- --------------------
		WAIT FOR 25 ns; -- Time=2025 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2050 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2075 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2100 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2125 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2150 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2175 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2200 ns
		a2 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=2225 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2250 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2275 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2300 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2325 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2350 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2375 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2400 ns
		a3 <= transport '0';
		a2 <= transport '0';
		-- --------------------
		WAIT FOR 25 ns; -- Time=2425 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2450 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2475 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2500 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2525 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2550 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2575 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2600 ns
		a2 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=2625 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2650 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2675 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2700 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2725 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2750 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2775 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2800 ns
		a3 <= transport '1';
		a2 <= transport '0';
		-- --------------------
		WAIT FOR 25 ns; -- Time=2825 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2850 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2875 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2900 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2925 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2950 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=2975 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3000 ns
		a2 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=3025 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3050 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3075 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3100 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3125 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3150 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3175 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3200 ns
		a3 <= transport '0';
		-- --------------------
		WAIT FOR 25 ns; -- Time=3225 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3250 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3275 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3300 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3325 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3350 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3375 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3400 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3425 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3450 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3475 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3500 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3525 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3550 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3575 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3600 ns
		a3 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=3625 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3650 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3675 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3700 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3725 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3750 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3775 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3800 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3825 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3850 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3875 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3900 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3925 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3950 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=3975 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4000 ns
		a3 <= transport '0';
		-- --------------------
		WAIT FOR 25 ns; -- Time=4025 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4050 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4075 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4100 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4125 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4150 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4175 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4200 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4225 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4250 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4275 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4300 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4325 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4350 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4375 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4400 ns
		a3 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=4425 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4450 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4475 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4500 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4525 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4550 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4575 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4600 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4625 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4650 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4675 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4700 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4725 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4750 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4775 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4800 ns
		a3 <= transport '0';
		-- --------------------
		WAIT FOR 25 ns; -- Time=4825 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4850 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4875 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4900 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4925 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4950 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=4975 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5000 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5025 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5050 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5075 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5100 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5125 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5150 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5175 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5200 ns
		a3 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=5225 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5250 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5275 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5300 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5325 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5350 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5375 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5400 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5425 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5450 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5475 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5500 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5525 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5550 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5575 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5600 ns
		a3 <= transport '0';
		-- --------------------
		WAIT FOR 25 ns; -- Time=5625 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5650 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5675 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5700 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5725 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5750 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5775 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5800 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5825 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5850 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5875 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5900 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5925 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5950 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=5975 ns
		-- --------------------
		WAIT FOR 25 ns; -- Time=6000 ns
		a3 <= transport '1';
		-- --------------------
		WAIT FOR 25 ns; -- Time=6025 ns
		-- --------------------

		IF (TX_ERROR = 0) THEN 
			write(TX_OUT,string'("No errors or warnings"));
			writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
				"Simulation successful (not a failure).  No problems detected. "
				SEVERITY FAILURE;
		ELSE
			write(TX_OUT, TX_ERROR);
			write(TX_OUT, string'(
				" errors found in simulation"));
			writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
				"Errors found during simulation"
				SEVERITY FAILURE;
		END IF;
	END PROCESS;
END testbench_arch;

CONFIGURATION segment_cfg OF testbench IS
	FOR testbench_arch
	END FOR;
END segment_cfg;
