-- C:\KSIAZKA\VHDL\LICZ_DEK_HIER\LICZ_DEK_HIER_TB.VHD
-- VHDL Test Bench created by
-- Visual Software Solution's HDL Bencher 1.02
-- Product info/updates: www.testbench.com
-- Support: support@testbench.com
-- Sales: sales@testbench.com / call (954) 370-9030
-- Fri Mar 15 02:46:56 2002

LIBRARY  IEEE;
USE IEEE.STD_LOGIC_1164.all;

LIBRARY ieee;
USE IEEE.STD_LOGIC_TEXTIO.ALL;
USE STD.TEXTIO.ALL;

ENTITY testbench IS
END testbench;

ARCHITECTURE testbench_arch OF testbench IS
-- If you get a compiler error on the following line,
-- from the menu do Options->Configuration select VHDL 93
FILE RESULTS: TEXT IS OUT "results.txt";
	COMPONENT licz_dek_hier
		PORT (
			clk : in  std_logic;
			kier_licz : in  std_logic;
			zerowanie : in  std_logic;
			led_a : out  std_logic;
			led_b : out  std_logic;
			led_c : out  std_logic;
			led_d : out  std_logic;
			led_e : out  std_logic;
			led_f : out  std_logic;
			led_g : out  std_logic
		);
	END COMPONENT;

	SIGNAL clk : std_logic;
	SIGNAL kier_licz : std_logic;
	SIGNAL zerowanie : std_logic;
	SIGNAL led_a : std_logic;
	SIGNAL led_b : std_logic;
	SIGNAL led_c : std_logic;
	SIGNAL led_d : std_logic;
	SIGNAL led_e : std_logic;
	SIGNAL led_f : std_logic;
	SIGNAL led_g : std_logic;

BEGIN
	UUT : licz_dek_hier
	PORT MAP (
		clk => clk,
		kier_licz => kier_licz,
		zerowanie => zerowanie,
		led_a => led_a,
		led_b => led_b,
		led_c => led_c,
		led_d => led_d,
		led_e => led_e,
		led_f => led_f,
		led_g => led_g
	);

	PROCESS
		VARIABLE TX_OUT : LINE;
		VARIABLE TX_ERROR : INTEGER := 0;

		PROCEDURE CHECK_led_a(
			next_led_a : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (led_a /= next_led_a) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns led_a="));
				write(TX_LOC, led_a);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_led_a);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_led_b(
			next_led_b : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (led_b /= next_led_b) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns led_b="));
				write(TX_LOC, led_b);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_led_b);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_led_c(
			next_led_c : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (led_c /= next_led_c) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns led_c="));
				write(TX_LOC, led_c);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_led_c);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_led_d(
			next_led_d : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (led_d /= next_led_d) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns led_d="));
				write(TX_LOC, led_d);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_led_d);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_led_e(
			next_led_e : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (led_e /= next_led_e) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns led_e="));
				write(TX_LOC, led_e);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_led_e);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_led_f(
			next_led_f : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (led_f /= next_led_f) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns led_f="));
				write(TX_LOC, led_f);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_led_f);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_led_g(
			next_led_g : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (led_g /= next_led_g) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns led_g="));
				write(TX_LOC, led_g);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_led_g);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		BEGIN
		-- --------------------
		clk <= transport '0';
		kier_licz <= transport '0';
		zerowanie <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=20 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=35 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=50 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=60 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=70 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=85 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=100 ns
		zerowanie <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=110 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=120 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=135 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=150 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=160 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=170 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=185 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=200 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=210 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=220 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=235 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=250 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=260 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=270 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=285 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=300 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=310 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=320 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=335 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=350 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=360 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=370 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=385 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=400 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=410 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=420 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=435 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=450 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=460 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=470 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=485 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=500 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=510 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=520 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=535 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=560 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=570 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=585 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=600 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=610 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=620 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=635 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=660 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=670 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=685 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=700 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=710 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=720 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=735 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=760 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=770 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=785 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=800 ns
		kier_licz <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=810 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=820 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=835 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=860 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=870 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=885 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=900 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=910 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=920 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=935 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=960 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=970 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=985 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1000 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1010 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1020 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1035 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1050 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1060 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1070 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1085 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1100 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1110 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1120 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1135 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1150 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1160 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1170 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1185 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1200 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1210 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1220 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1235 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1250 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1260 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1270 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1285 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1300 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1310 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1320 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1335 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1350 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1360 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1370 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1385 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1400 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1410 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1420 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1435 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1450 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1460 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1470 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1485 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1500 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1510 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1520 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1535 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1560 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1570 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1585 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1600 ns
		kier_licz <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1610 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1620 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1635 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1660 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1670 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1685 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1700 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1710 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1720 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1735 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1760 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1770 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1785 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1800 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1810 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1820 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1835 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1860 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1870 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1885 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1900 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1910 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1920 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1935 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1960 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1970 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1985 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2000 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2010 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2020 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2035 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2050 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2060 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2070 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2085 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2100 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2110 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2120 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2135 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2150 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2160 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2170 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2185 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2200 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2210 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2220 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2235 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2250 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2260 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2270 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2285 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2300 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2310 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2320 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2335 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2350 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2360 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2370 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2385 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2400 ns
		kier_licz <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2410 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2420 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2435 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2450 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2460 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2470 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2485 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2500 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2510 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2520 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2535 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2560 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2570 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2585 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2600 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2610 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2620 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2635 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2660 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2670 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2685 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2700 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2710 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2720 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2735 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2760 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2770 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2785 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2800 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2810 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2820 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2835 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2860 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2870 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2885 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2900 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2910 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2920 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2935 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2960 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2970 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2985 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3000 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3010 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3020 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3035 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3050 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3060 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3070 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3085 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3100 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3110 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3120 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3135 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3150 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3160 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3170 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3185 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3200 ns
		kier_licz <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3210 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3220 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3235 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3250 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3260 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3270 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3285 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3300 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3310 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3320 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3335 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3350 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3360 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3370 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3385 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3400 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3410 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3420 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3435 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3450 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3460 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3470 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3485 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3500 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3510 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3520 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3535 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3560 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3570 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3585 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3600 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3610 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3620 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3635 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3660 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3670 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3685 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3700 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3710 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3720 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3735 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3760 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3770 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3785 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3800 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3810 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3820 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3835 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3860 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3870 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3885 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3900 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3910 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3920 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3935 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=3960 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3970 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=3985 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4000 ns
		kier_licz <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4010 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4020 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4035 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4050 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4060 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4070 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4085 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4100 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4110 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4120 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4135 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4150 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4160 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4170 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4185 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4200 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4210 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4220 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4235 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4250 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4260 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4270 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4285 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4300 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4310 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4320 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4335 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4350 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4360 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4370 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4385 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4400 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4410 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4420 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4435 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4450 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4460 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4470 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4485 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4500 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4510 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4520 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4535 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4560 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4570 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4585 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4600 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4610 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4620 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4635 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4660 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4670 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4685 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4700 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4710 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4720 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4735 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4760 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4770 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4785 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4800 ns
		kier_licz <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4810 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4820 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4835 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4860 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4870 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4885 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4900 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4910 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4920 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4935 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=4950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=4960 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=4970 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=4985 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5000 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5010 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5020 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5035 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5050 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5060 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5070 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5085 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5100 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5110 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5120 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5135 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5150 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5160 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5170 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5185 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5200 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5210 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5220 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5235 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5250 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5260 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5270 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5285 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5300 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5310 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5320 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5335 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5350 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5360 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5370 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5385 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5400 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5410 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5420 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5435 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5450 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5460 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5470 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5485 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5500 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5510 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5520 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5535 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5560 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5570 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5585 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5600 ns
		kier_licz <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5610 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5620 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5635 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5660 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5670 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5685 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5700 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5710 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5720 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5735 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5760 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5770 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5785 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5800 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5810 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5820 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5835 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5860 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5870 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5885 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5900 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5910 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5920 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5935 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=5950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=5960 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=5970 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=5985 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6000 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=6010 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6020 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6035 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6050 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=6060 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6070 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6085 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6100 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=6110 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6120 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6135 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6150 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=6160 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6170 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6185 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6200 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=6210 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6220 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6235 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6250 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=6260 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6270 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6285 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6300 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=6310 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6320 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6335 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6350 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=6360 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6370 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6385 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6400 ns
		kier_licz <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6410 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6420 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6435 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6450 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=6460 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6470 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6485 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6500 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=6510 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6520 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6535 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=6560 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6570 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6585 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6600 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=6610 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6620 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6635 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=6660 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6670 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6685 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6700 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=6710 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6720 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6735 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=6760 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6770 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6785 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6800 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=6810 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6820 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6835 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=6860 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6870 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6885 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6900 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=6910 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6920 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6935 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=6950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=6960 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=6970 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=6985 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7000 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=7010 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7020 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7035 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7050 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=7060 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7070 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7085 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7100 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=7110 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7120 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7135 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7150 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=7160 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7170 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7185 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7200 ns
		kier_licz <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7210 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7220 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7235 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7250 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=7260 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7270 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7285 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7300 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=7310 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7320 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7335 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7350 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=7360 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7370 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7385 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7400 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=7410 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7420 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7435 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7450 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=7460 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7470 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7485 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7500 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=7510 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7520 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7535 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=7560 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7570 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7585 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7600 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=7610 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7620 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7635 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=7660 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7670 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7685 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7700 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=7710 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7720 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7735 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=7760 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7770 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7785 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7800 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=7810 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7820 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7835 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=7860 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7870 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7885 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7900 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=7910 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7920 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7935 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=7950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=7960 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=7970 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=7985 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8000 ns
		kier_licz <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8010 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8020 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8035 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8050 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=8060 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8070 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8085 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8100 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=8110 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8120 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8135 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8150 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=8160 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8170 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8185 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8200 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=8210 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8220 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8235 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8250 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=8260 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8270 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8285 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8300 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=8310 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8320 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8335 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8350 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=8360 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8370 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8385 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8400 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=8410 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8420 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8435 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8450 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=8460 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8470 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8485 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8500 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=8510 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8520 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8535 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=8560 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8570 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8585 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8600 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=8610 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8620 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8635 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=8660 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8670 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8685 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8700 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=8710 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8720 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8735 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=8760 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8770 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8785 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8800 ns
		kier_licz <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8810 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8820 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8835 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=8860 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8870 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8885 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8900 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=8910 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8920 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8935 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=8950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=8960 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=8970 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=8985 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9000 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=9010 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9020 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9035 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9050 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=9060 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9070 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9085 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9100 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=9110 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9120 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9135 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9150 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=9160 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9170 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9185 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9200 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=9210 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9220 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9235 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9250 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=9260 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9270 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9285 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9300 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=9310 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9320 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9335 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9350 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=9360 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9370 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9385 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9400 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=9410 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9420 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9435 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9450 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=9460 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9470 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9485 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9500 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=9510 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9520 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9535 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=9560 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9570 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9585 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9600 ns
		kier_licz <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9610 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9620 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9635 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=9660 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9670 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9685 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9700 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=9710 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9720 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9735 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=9760 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9770 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9785 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9800 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=9810 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9820 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9835 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=9860 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9870 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9885 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9900 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=9910 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9920 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9935 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=9950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=9960 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=9970 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=9985 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10000 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=10010 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10020 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10035 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10050 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=10060 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10070 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10085 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10100 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=10110 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10120 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10135 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10150 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=10160 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10170 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10185 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10200 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=10210 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10220 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10235 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10250 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=10260 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10270 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10285 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10300 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=10310 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10320 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10335 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10350 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=10360 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10370 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10385 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10400 ns
		kier_licz <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10410 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10420 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10435 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10450 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=10460 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10470 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10485 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10500 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=10510 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10520 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10535 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=10560 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10570 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10585 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10600 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=10610 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10620 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10635 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=10660 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10670 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10685 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10700 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=10710 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10720 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10735 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=10760 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10770 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10785 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10800 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=10810 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10820 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10835 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=10860 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10870 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10885 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10900 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=10910 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10920 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10935 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=10950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=10960 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10970 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=10985 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11000 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=11010 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11020 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11035 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11050 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=11060 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11070 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11085 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11100 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=11110 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11120 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11135 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11150 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=11160 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11170 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11185 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11200 ns
		kier_licz <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11210 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11220 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11235 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11250 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=11260 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11270 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11285 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11300 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=11310 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11320 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11335 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11350 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=11360 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11370 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11385 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11400 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=11410 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11420 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11435 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11450 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=11460 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11470 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11485 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11500 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=11510 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11520 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11535 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=11560 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11570 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11585 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11600 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=11610 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11620 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11635 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=11660 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11670 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11685 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11700 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=11710 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11720 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11735 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=11760 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11770 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11785 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11800 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=11810 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11820 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11835 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=11860 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11870 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11885 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11900 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=11910 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11920 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11935 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=11950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=11960 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=11970 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=11985 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=12000 ns
		kier_licz <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=12010 ns
		-- --------------------

		IF (TX_ERROR = 0) THEN 
			write(TX_OUT,string'("No errors or warnings"));
			writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
				"Simulation successful (not a failure).  No problems detected. "
				SEVERITY FAILURE;
		ELSE
			write(TX_OUT, TX_ERROR);
			write(TX_OUT, string'(
				" errors found in simulation"));
			writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
				"Errors found during simulation"
				SEVERITY FAILURE;
		END IF;
	END PROCESS;
END testbench_arch;

CONFIGURATION licz_dek_hier_cfg OF testbench IS
	FOR testbench_arch
	END FOR;
END licz_dek_hier_cfg;
