library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_UNSIGNED.all;
 
entity licznik is port(	
		clk: in std_logic;
     	res: in std_logic;
		u_d: in std_logic;
	   q: buffer std_logic_vector(3 downto 0)
		);
end licznik;

architecture a of licznik is
begin
process (clk, res)
	begin
   	if res='1' then
      	q <= "0000";
   	elsif clk='1' and CLK'event then
          if u_d='1' then  
              q <= q + 1;
          else
              q <= q - 1;
          end if;
   	end if;
end process;
end a; 

