library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity mux_2x4_2x1 is port (
	x, y: in std_logic_vector(3 downto 0);
	a: in std_logic_vector(1 downto 0);
	en: in std_logic;
	wy_x, wy_y: out std_logic
	);
end mux_2x4_2x1;

architecture arc of mux_2x4_2x1 is
signal w_x: std_logic;
signal w_y: std_logic;

begin
	w_x <= 	x(0) when (a = b"00") else
				x(1) when (a = b"01") else
				x(2) when (a = b"10") else
				x(3);
	w_y <= 	y(0) when (a = b"00") else
				y(1) when (a = b"01") else
				y(2) when (a = b"10") else
				y(3);
	wy_x <= w_x when (en = '1') else 'Z';
	wy_y <= w_y when (en = '1') else 'Z';
end arc;
