--  C:\CAD\XILINX_WEBPACK\PROJEKTY\FPGA\UNTITLED.vhd
--  VHDL code created by Xilinx's StateCAD 5.03
--  Sat Sep 01 12:02:30 2001

--  This VHDL code (for use with Xilinx XST) was generated using: 
--  enumerated state assignment with structured code format.
--  Minimization is enabled,  implied else is enabled, 
--  and outputs are speed optimized.

LIBRARY ieee;
USE ieee.std_logic_1164.all;

LIBRARY ieee;
USE ieee.std_logic_unsigned.all;

ENTITY SHELL_UNTITLED IS
	PORT (CLK,RES: IN std_logic;
		q0,q1,q2,q3 : OUT std_logic);
END;

ARCHITECTURE BEHAVIOR OF SHELL_UNTITLED IS
	TYPE type_sreg IS (STATE0,STATE1,STATE2,STATE3,STATE4,STATE5,STATE6,STATE7,
		STATE8,STATE9,STATE10,STATE11,STATE12,STATE13,STATE14,STATE15);
	SIGNAL sreg, next_sreg : type_sreg;
	SIGNAL next_BP_q0,next_BP_q1,next_BP_q2,next_BP_q3 : std_logic;
	SIGNAL BP_q : std_logic_vector (3 DOWNTO 0);
	SIGNAL q : std_logic_vector (3 DOWNTO 0);

	SIGNAL BP_q0,BP_q1,BP_q2,BP_q3: std_logic;
BEGIN
	PROCESS (CLK, RES, next_sreg, next_BP_q3, next_BP_q2, next_BP_q1, next_BP_q0
		)
	BEGIN
		IF ( RES='1' ) THEN
			sreg <= STATE0;
			BP_q3 <= '0';
			BP_q2 <= '0';
			BP_q1 <= '0';
			BP_q0 <= '0';
		ELSIF CLK='1' AND CLK'event THEN
			sreg <= next_sreg;
			BP_q3 <= next_BP_q3;
			BP_q2 <= next_BP_q2;
			BP_q1 <= next_BP_q1;
			BP_q0 <= next_BP_q0;
		END IF;
	END PROCESS;

	PROCESS (sreg,BP_q0,BP_q1,BP_q2,BP_q3,BP_q)
	BEGIN
		next_BP_q0 <= BP_q0;next_BP_q1 <= BP_q1;next_BP_q2 <= BP_q2;next_BP_q3 <= 
			BP_q3;

		BP_q <= (( std_logic_vector'(BP_q3, BP_q2, BP_q1, BP_q0)));


		next_sreg<=STATE0;

		CASE sreg IS
			WHEN STATE0 =>
				next_sreg<=STATE1;

				BP_q <= (( std_logic_vector'(BP_q3, BP_q2, BP_q1, BP_q0)) +
					std_logic_vector'("0001"));
			WHEN STATE1 =>
				next_sreg<=STATE2;

				BP_q <= (( std_logic_vector'(BP_q3, BP_q2, BP_q1, BP_q0)) +
					std_logic_vector'("0001"));
			WHEN STATE2 =>
				next_sreg<=STATE3;

				BP_q <= (( std_logic_vector'(BP_q3, BP_q2, BP_q1, BP_q0)) +
					std_logic_vector'("0001"));
			WHEN STATE3 =>
				next_sreg<=STATE4;

				BP_q <= (( std_logic_vector'(BP_q3, BP_q2, BP_q1, BP_q0)) +
					std_logic_vector'("0001"));
			WHEN STATE4 =>
				next_sreg<=STATE5;

				BP_q <= (( std_logic_vector'(BP_q3, BP_q2, BP_q1, BP_q0)) +
					std_logic_vector'("0001"));
			WHEN STATE5 =>
				next_sreg<=STATE6;

				BP_q <= (( std_logic_vector'(BP_q3, BP_q2, BP_q1, BP_q0)) +
					std_logic_vector'("0001"));
			WHEN STATE6 =>
				next_sreg<=STATE7;

				BP_q <= (( std_logic_vector'(BP_q3, BP_q2, BP_q1, BP_q0)) +
					std_logic_vector'("0001"));
			WHEN STATE7 =>
				next_sreg<=STATE8;

				BP_q <= (( std_logic_vector'(BP_q3, BP_q2, BP_q1, BP_q0)) +
					std_logic_vector'("0001"));
			WHEN STATE8 =>
				next_sreg<=STATE9;

				BP_q <= (( std_logic_vector'(BP_q3, BP_q2, BP_q1, BP_q0)) +
					std_logic_vector'("0001"));
			WHEN STATE9 =>
				next_sreg<=STATE10;

				BP_q <= (( std_logic_vector'(BP_q3, BP_q2, BP_q1, BP_q0)) +
					std_logic_vector'("0001"));
			WHEN STATE10 =>
				next_sreg<=STATE11;

				BP_q <= (( std_logic_vector'(BP_q3, BP_q2, BP_q1, BP_q0)) +
					std_logic_vector'("0001"));
			WHEN STATE11 =>
				next_sreg<=STATE12;

				BP_q <= (( std_logic_vector'(BP_q3, BP_q2, BP_q1, BP_q0)) +
					std_logic_vector'("0001"));
			WHEN STATE12 =>
				next_sreg<=STATE13;

				BP_q <= (( std_logic_vector'(BP_q3, BP_q2, BP_q1, BP_q0)) +
					std_logic_vector'("0001"));
			WHEN STATE13 =>
				next_sreg<=STATE14;

				BP_q <= (( std_logic_vector'(BP_q3, BP_q2, BP_q1, BP_q0)) +
					std_logic_vector'("0001"));
			WHEN STATE14 =>
				next_sreg<=STATE15;

				BP_q <= (( std_logic_vector'(BP_q3, BP_q2, BP_q1, BP_q0)) +
					std_logic_vector'("0001"));
			WHEN STATE15 =>
				next_sreg<=STATE0;

				BP_q <= (std_logic_vector'("0000"));
			WHEN OTHERS =>
		END CASE;

		next_BP_q3 <= BP_q(3);
		next_BP_q2 <= BP_q(2);
		next_BP_q1 <= BP_q(1);
		next_BP_q0 <= BP_q(0);
	END PROCESS;

	PROCESS (BP_q0,BP_q1,BP_q2,BP_q3,q)
	BEGIN
		q <= (( std_logic_vector'(BP_q3, BP_q2, BP_q1, BP_q0)));
		q0 <= q(0);
		q1 <= q(1);
		q2 <= q(2);
		q3 <= q(3);
	END PROCESS;
END BEHAVIOR;

LIBRARY ieee;
USE ieee.std_logic_1164.all;

LIBRARY ieee;
USE ieee.std_logic_unsigned.all;

ENTITY UNTITLED IS
	PORT (q : OUT std_logic_vector (3 DOWNTO 0);
		CLK,RES: IN std_logic);
END;

ARCHITECTURE BEHAVIOR OF UNTITLED IS
	COMPONENT SHELL_UNTITLED
		PORT (CLK,RES: IN std_logic;
			q0,q1,q2,q3 : OUT std_logic);
	END COMPONENT;
BEGIN
	SHELL1_UNTITLED : SHELL_UNTITLED PORT MAP (CLK=>CLK,RES=>RES,q0=>q(0),q1=>q(
		1),q2=>q(2),q3=>q(3));
END BEHAVIOR;
