-- VHDL model created from schematic licz_dek.sch -- Aug 22 13:16:49 2001

LIBRARY ieee;
LIBRARY UNISIM;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
USE UNISIM.Vcomponents.ALL;

entity LICZ_DEK is
      Port (     clk : In    std_logic;
                 res : In    std_logic;
                  wy : Out   std_logic_vector (7 downto 0) );


end LICZ_DEK;

architecture SCHEMATIC of LICZ_DEK is

   signal     licz : std_logic_vector (3 downto 0);

   component L_NKB
      Port (     CLK : In    std_logic;
                 RES : In    std_logic;
                   q : InOut std_logic_vector (3 downto 0) );
   end component;

   component DEK_8
      Port (       a : In    std_logic_vector (2 downto 0);
                  wy : Out   std_logic_vector (7 downto 0) );
   end component;


begin

   I1 : L_NKB
      Port Map ( CLK=>clk, RES=>res, q(3)=>licz(3), q(2)=>licz(2),
                 q(1)=>licz(1), q(0)=>licz(0) );
   I2 : DEK_8
      Port Map ( a(2)=>licz(2), a(1)=>licz(1), a(0)=>licz(0),
                 wy(7)=>wy(7), wy(6)=>wy(6), wy(5)=>wy(5), wy(4)=>wy(4),
                 wy(3)=>wy(3), wy(2)=>wy(2), wy(1)=>wy(1), wy(0)=>wy(0) );

end SCHEMATIC;
