library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity segment is
    port (a3, a2, a1, a0, inh: in std_logic;
   		 led_a, led_b, led_c, led_d,
			 led_e, led_f, led_g: out std_logic
	 );
end segment;
 
architecture a of segment is
signal wy: std_logic_vector(6 downto 0);
signal we: std_logic_vector(4 downto 0);
begin
(led_a, led_b, led_c, led_d, led_e, led_f, led_g) <= wy; --agregat
we <= (a3, a2, a1, a0, inh);
	with we select 
	wy <=	"1111110" when "00000", 
			"0110000" when "00010",
			"1101101" when "00100",
			"1111001" when "00110",
			"0110011" when "01000",
			"1011011" when "01010",
			"1011111" when "01100",
			"1110000" when "01110",
			"1111011" when "10010",
			"0000000" when others;
end a;

