library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity dekoder_adr1 is
    Port (
	 adr : in std_logic_vector(9 downto 0);
	 mem_addr : out std_logic_vector(2 downto 0)
	 );
end dekoder_adr1;

architecture behavioral of dekoder_adr1 is
begin
process (adr)
	begin
		case adr is
			when "0000010010" => mem_addr <= "100";
			when "1100011111" => mem_addr <= "010";
			when "0000000000" => mem_addr <= "001";
			when "1010101100" => mem_addr <= "101" ;
			when others  => mem_addr <= "111";
		end case;
	 end process;
end behavioral;
