library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity dekoder_adr2 is
    port (
	 a : in std_logic_vector(19 downto 13);
 	 reset_in, memrd : in std_logic;
	 mem_sel : out std_logic_vector(3 downto 1)
	 );
end dekoder_adr2;

architecture behavioral of dekoder_adr2 is
begin
	mem_sel <= 	"110" when ((a = "1101100") and (memrd = '0') and (reset_in = '0')) else 	-- D8000hex
					"101" when ((a = "1100010") and (memrd = '0') and (reset_in = '0')) else	-- C4000hex
					"011" when ((a = "1100110") and (memrd = '0') and (reset_in = '0')) else	-- CC000hex
					"111";
end behavioral;
