library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity komparator is port (
	a, b: in std_logic_vector(7 downto 0);
	awb: out std_logic;	-- wskaznik, ze A>B
	amb: out std_logic; 	-- wskaznik, ze A<B
	arb: out std_logic	-- wskaznik, ze A=B
	);
end komparator;

architecture behavioral of komparator is

signal wy: std_logic_vector(2 downto 0);

begin
(awb, amb, arb) <= wy;
process (a, b)
	begin
		if (a < b) then
			wy <= b"010";
		elsif (a>b) then
			wy <= b"100";
		elsif (a=b) then
			wy <= b"001";
		else wy <= b"000";	-- wprowadzenie tego warunku 
		end if;					-- zapobiega utworzeniu rejestrow
end process;					-- na wyjsciach amb, awb i arb
end behavioral;
