-- C:\KSIAZKA\VHDL\PRZERZUTNIKI\PRZERZUTNIKI_TB.VHD
-- VHDL Test Bench created by
-- Visual Software Solution's HDL Bencher 1.02
-- Product info/updates: www.testbench.com
-- Support: support@testbench.com
-- Sales: sales@testbench.com / call (954) 370-9030
-- Fri Mar 15 00:18:55 2002

LIBRARY  IEEE;
USE IEEE.STD_LOGIC_1164.all;

LIBRARY ieee;
USE IEEE.STD_LOGIC_TEXTIO.ALL;
USE STD.TEXTIO.ALL;

ENTITY testbench IS
END testbench;

ARCHITECTURE testbench_arch OF testbench IS
-- If you get a compiler error on the following line,
-- from the menu do Options->Configuration select VHDL 93
FILE RESULTS: TEXT IS OUT "results.txt";
	COMPONENT przerzutniki
		PORT (
			clk : in  std_logic;
			j : in  std_logic;
			k : in  std_logic;
			set : in  std_logic;
			res : in  std_logic;
			t : in  std_logic;
			d_D : in  std_logic;
			d_L : in  std_logic;
			q_D : buffer  std_logic;
			q_L : buffer  std_logic;
			q_T : buffer  std_logic;
			q_RS : buffer  std_logic;
			q_JK : buffer  std_logic
		);
	END COMPONENT;

	SIGNAL clk : std_logic;
	SIGNAL j : std_logic;
	SIGNAL k : std_logic;
	SIGNAL set : std_logic;
	SIGNAL res : std_logic;
	SIGNAL t : std_logic;
	SIGNAL d_D : std_logic;
	SIGNAL d_L : std_logic;
	SIGNAL q_D : std_logic;
	SIGNAL q_L : std_logic;
	SIGNAL q_T : std_logic;
	SIGNAL q_RS : std_logic;
	SIGNAL q_JK : std_logic;

BEGIN
	UUT : przerzutniki
	PORT MAP (
		clk => clk,
		j => j,
		k => k,
		set => set,
		res => res,
		t => t,
		d_D => d_D,
		d_L => d_L,
		q_D => q_D,
		q_L => q_L,
		q_T => q_T,
		q_RS => q_RS,
		q_JK => q_JK
	);

	PROCESS
		VARIABLE TX_OUT : LINE;
		VARIABLE TX_ERROR : INTEGER := 0;

		PROCEDURE CHECK_q_D(
			next_q_D : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (q_D /= next_q_D) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns q_D="));
				write(TX_LOC, q_D);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_q_D);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_q_L(
			next_q_L : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (q_L /= next_q_L) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns q_L="));
				write(TX_LOC, q_L);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_q_L);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_q_T(
			next_q_T : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (q_T /= next_q_T) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns q_T="));
				write(TX_LOC, q_T);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_q_T);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_q_RS(
			next_q_RS : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (q_RS /= next_q_RS) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns q_RS="));
				write(TX_LOC, q_RS);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_q_RS);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		PROCEDURE CHECK_q_JK(
			next_q_JK : std_logic;
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (q_JK /= next_q_JK) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns q_JK="));
				write(TX_LOC, q_JK);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_q_JK);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		BEGIN
		-- --------------------
		clk <= transport '0';
		j <= transport '0';
		k <= transport '0';
		set <= transport '0';
		res <= transport '1';
		t <= transport '0';
		d_D <= transport '1';
		d_L <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=10 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=20 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=35 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=50 ns
		j <= transport '0';
		set <= transport '1';
		res <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=60 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=70 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=85 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=100 ns
		res <= transport '1';
		d_L <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=110 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=120 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=135 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=150 ns
		k <= transport '0';
		set <= transport '0';
		d_L <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=160 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=170 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=185 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=200 ns
		j <= transport '1';
		k <= transport '1';
		set <= transport '1';
		t <= transport '1';
		d_D <= transport '0';
		d_L <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=210 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=220 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=235 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=250 ns
		d_D <= transport '1';
		d_L <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=260 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=270 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=285 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=300 ns
		d_D <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=310 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=320 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=335 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=350 ns
		j <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=360 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=370 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=385 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=400 ns
		t <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=410 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=420 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=435 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=450 ns
		k <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=460 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=470 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=485 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=500 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=510 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=520 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=535 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=560 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=570 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=585 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=600 ns
		t <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=610 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=620 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=635 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=660 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=670 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=685 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=700 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=710 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=720 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=735 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=760 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=770 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=785 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=800 ns
		t <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=810 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=820 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=835 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=860 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=870 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=885 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=900 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=910 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=920 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=935 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=960 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=970 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=985 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1000 ns
		t <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1010 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1020 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1035 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1050 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1060 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1070 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1085 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1100 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1110 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1120 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1135 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1150 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1160 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1170 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1185 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1200 ns
		t <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1210 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1220 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1235 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1250 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1260 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1270 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1285 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1300 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1310 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1320 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1335 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1350 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1360 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1370 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1385 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1400 ns
		t <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1410 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1420 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1435 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1450 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1460 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1470 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1485 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1500 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1510 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1520 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1535 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1560 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1570 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1585 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1600 ns
		t <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1610 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1620 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1635 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1660 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1670 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1685 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1700 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1710 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1720 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1735 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1760 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1770 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1785 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1800 ns
		t <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1810 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1820 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1835 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1860 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1870 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1885 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1900 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1910 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1920 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1935 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=1950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=1960 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=1970 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=1985 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2000 ns
		t <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2010 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2020 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2035 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2050 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2060 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2070 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2085 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2100 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2110 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2120 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2135 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2150 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2160 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2170 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2185 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2200 ns
		t <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2210 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2220 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2235 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2250 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2260 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2270 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2285 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2300 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2310 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2320 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2335 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2350 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2360 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2370 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2385 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2400 ns
		t <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2410 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2420 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2435 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2450 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2460 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2470 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2485 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2500 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2510 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2520 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2535 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2550 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2560 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2570 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2585 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2600 ns
		t <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2610 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2620 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2635 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2650 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2660 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2670 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2685 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2700 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2710 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2720 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2735 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2750 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2760 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2770 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2785 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2800 ns
		t <= transport '0';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2810 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2820 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2835 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2850 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2860 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2870 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2885 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2900 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2910 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2920 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2935 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=2950 ns
		-- --------------------
		WAIT FOR 10 ns; -- Time=2960 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=2970 ns
		-- --------------------
		WAIT FOR 15 ns; -- Time=2985 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 15 ns; -- Time=3000 ns
		t <= transport '1';
		-- --------------------
		WAIT FOR 10 ns; -- Time=3010 ns
		-- --------------------

		IF (TX_ERROR = 0) THEN 
			write(TX_OUT,string'("No errors or warnings"));
			writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
				"Simulation successful (not a failure).  No problems detected. "
				SEVERITY FAILURE;
		ELSE
			write(TX_OUT, TX_ERROR);
			write(TX_OUT, string'(
				" errors found in simulation"));
			writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
				"Errors found during simulation"
				SEVERITY FAILURE;
		END IF;
	END PROCESS;
END testbench_arch;

CONFIGURATION przerzutniki_cfg OF testbench IS
	FOR testbench_arch
	END FOR;
END przerzutniki_cfg;
