library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity rej_spi_so is port (
	serin, load, clk: in std_logic;
	serout: out std_logic;
	data: in std_logic_vector(3 downto 0)
	);
end rej_spi_so;

architecture behavioral of rej_spi_so is

signal rej: std_logic_vector(3 downto 0);

begin
process (clk)
begin
   if clk'event and clk='1' then
   	if (load='1') then
     		rej <= data;
   	else
        	rej <= serin & rej(3 downto 1);
   	end if;
   end if;
 serout <= rej(0);
end process;
end behavioral;
