-- C:\KSIAZKA\VHDL\U_D_CNT\U_D_CNT_TB.VHD
-- VHDL Test Bench created by
-- Visual Software Solution's HDL Bencher 1.02
-- Product info/updates: www.testbench.com
-- Support: support@testbench.com
-- Sales: sales@testbench.com / call (954) 370-9030
-- Fri Mar 15 03:27:52 2002

LIBRARY  IEEE;
USE IEEE.STD_LOGIC_1164.all;

LIBRARY ieee;
USE IEEE.STD_LOGIC_TEXTIO.ALL;
USE STD.TEXTIO.ALL;

ENTITY testbench IS
END testbench;

ARCHITECTURE testbench_arch OF testbench IS
-- If you get a compiler error on the following line,
-- from the menu do Options->Configuration select VHDL 93
FILE RESULTS: TEXT IS OUT "results.txt";
	COMPONENT u_d_cnt
		PORT (
			clk : in  std_logic;
			res : in  std_logic;
			u_d : in  std_logic;
			q : out  std_logic_vector (3 DOWNTO 0)
		);
	END COMPONENT;

	SIGNAL clk : std_logic;
	SIGNAL res : std_logic;
	SIGNAL u_d : std_logic;
	SIGNAL q : std_logic_vector (3 DOWNTO 0);

BEGIN
	UUT : u_d_cnt
	PORT MAP (
		clk => clk,
		res => res,
		u_d => u_d,
		q => q
	);

	PROCESS
		VARIABLE TX_OUT : LINE;
		VARIABLE TX_ERROR : INTEGER := 0;

		PROCEDURE CHECK_q(
			next_q : std_logic_vector (3 DOWNTO 0);
			TX_TIME : INTEGER
		) IS
			VARIABLE TX_STR : String(1 to 512);
			VARIABLE TX_LOC : LINE;
		BEGIN
			-- If compiler error ("/=" is ambiguous) occurs in the next line of code
			-- change compiler settings to use explicit declarations only
			IF (q /= next_q) THEN 
				write(TX_LOC,string'("Error at time="));
				write(TX_LOC, TX_TIME);
				write(TX_LOC,string'("ns q="));
				write(TX_LOC, q);
				write(TX_LOC, string'(", Expected = "));
				write(TX_LOC, next_q);
				write(TX_LOC, string'(" "));
				TX_STR(TX_LOC.all'range) := TX_LOC.all;
				writeline(results, TX_LOC);
				Deallocate(TX_LOC);
				ASSERT (FALSE) REPORT TX_STR SEVERITY ERROR;
				TX_ERROR := TX_ERROR + 1;
			END IF;
		END;

		BEGIN
		-- --------------------
		clk <= transport '0';
		res <= transport '1';
		u_d <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=10 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=30 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=50 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=55 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=60 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=80 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=100 ns
		res <= transport '0';
		-- --------------------
		WAIT FOR 5 ns; -- Time=105 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=110 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=130 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=150 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=155 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=160 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=180 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=200 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=205 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=210 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=230 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=250 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=255 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=260 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=280 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=300 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=305 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=310 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=330 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=350 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=355 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=360 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=380 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=400 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=405 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=410 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=430 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=450 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=455 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=460 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=480 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=500 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=505 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=510 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=530 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=550 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=555 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=560 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=580 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=600 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=605 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=610 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=630 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=650 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=655 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=660 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=680 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=700 ns
		u_d <= transport '0';
		-- --------------------
		WAIT FOR 5 ns; -- Time=705 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=710 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=730 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=750 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=755 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=760 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=780 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=800 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=805 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=810 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=830 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=850 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=855 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=860 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=880 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=900 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=905 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=910 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=930 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=950 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=955 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=960 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=980 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1000 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=1005 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1010 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1030 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1050 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=1055 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1060 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1080 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1100 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=1105 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1110 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1130 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1150 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=1155 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1160 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1180 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1200 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=1205 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1210 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1230 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1250 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=1255 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1260 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1280 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1300 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=1305 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1310 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1330 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1350 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=1355 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1360 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1380 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1400 ns
		u_d <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1405 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1410 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1430 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1450 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=1455 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1460 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1480 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1500 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=1505 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1510 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1530 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1550 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=1555 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1560 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1580 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1600 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=1605 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1610 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1630 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1650 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=1655 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1660 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1680 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1700 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=1705 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1710 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1730 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1750 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=1755 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1760 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1780 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1800 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=1805 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1810 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1830 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1850 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=1855 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1860 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1880 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1900 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=1905 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1910 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1930 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=1950 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=1955 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=1960 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=1980 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2000 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=2005 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2010 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2030 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2050 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=2055 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2060 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2080 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2100 ns
		u_d <= transport '0';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2105 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2110 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2130 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2150 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=2155 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2160 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2180 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2200 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=2205 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2210 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2230 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2250 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=2255 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2260 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2280 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2300 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=2305 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2310 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2330 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2350 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=2355 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2360 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2380 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2400 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=2405 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2410 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2430 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2450 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=2455 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2460 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2480 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2500 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=2505 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2510 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2530 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2550 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=2555 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2560 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2580 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2600 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=2605 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2610 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2630 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2650 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=2655 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2660 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2680 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2700 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=2705 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2710 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2730 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2750 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=2755 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2760 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2780 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2800 ns
		u_d <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2805 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2810 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2830 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2850 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=2855 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2860 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2880 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2900 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=2905 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2910 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2930 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=2950 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=2955 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=2960 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=2980 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3000 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=3005 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3010 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3030 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3050 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=3055 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3060 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3080 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3100 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=3105 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3110 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3130 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3150 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=3155 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3160 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3180 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3200 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=3205 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3210 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3230 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3250 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=3255 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3260 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3280 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3300 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=3305 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3310 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3330 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3350 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=3355 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3360 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3380 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3400 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=3405 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3410 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3430 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3450 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=3455 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3460 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3480 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3500 ns
		u_d <= transport '0';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3505 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3510 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3530 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3550 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=3555 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3560 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3580 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3600 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=3605 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3610 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3630 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3650 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=3655 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3660 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3680 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3700 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=3705 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3710 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3730 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3750 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=3755 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3760 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3780 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3800 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=3805 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3810 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3830 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3850 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=3855 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3860 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3880 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3900 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=3905 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3910 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3930 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=3950 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=3955 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=3960 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=3980 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4000 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=4005 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4010 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4030 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4050 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=4055 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4060 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4080 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4100 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=4105 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4110 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4130 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4150 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=4155 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4160 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4180 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4200 ns
		u_d <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4205 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4210 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4230 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4250 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=4255 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4260 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4280 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4300 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=4305 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4310 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4330 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4350 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=4355 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4360 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4380 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4400 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=4405 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4410 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4430 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4450 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=4455 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4460 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4480 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4500 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=4505 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4510 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4530 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4550 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=4555 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4560 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4580 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4600 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=4605 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4610 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4630 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4650 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=4655 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4660 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4680 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4700 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=4705 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4710 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4730 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4750 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=4755 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4760 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4780 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4800 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=4805 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4810 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4830 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4850 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=4855 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4860 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4880 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4900 ns
		u_d <= transport '0';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4905 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4910 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4930 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=4950 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=4955 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=4960 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=4980 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5000 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=5005 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5010 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5030 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5050 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=5055 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5060 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5080 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5100 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=5105 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5110 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5130 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5150 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=5155 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5160 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5180 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5200 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=5205 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5210 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5230 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5250 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=5255 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5260 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5280 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5300 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=5305 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5310 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5330 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5350 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=5355 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5360 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5380 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5400 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=5405 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5410 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5430 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5450 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=5455 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5460 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5480 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5500 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=5505 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5510 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5530 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5550 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=5555 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5560 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5580 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5600 ns
		u_d <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5605 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5610 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5630 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5650 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=5655 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5660 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5680 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5700 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=5705 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5710 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5730 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5750 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=5755 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5760 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5780 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5800 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=5805 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5810 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5830 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5850 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=5855 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5860 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5880 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5900 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=5905 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5910 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5930 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=5950 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=5955 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=5960 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=5980 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6000 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=6005 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6010 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6030 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6050 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=6055 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6060 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6080 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6100 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=6105 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6110 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6130 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6150 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=6155 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6160 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6180 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6200 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=6205 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6210 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6230 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6250 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=6255 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6260 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6280 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6300 ns
		u_d <= transport '0';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6305 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6310 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6330 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6350 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=6355 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6360 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6380 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6400 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=6405 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6410 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6430 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6450 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=6455 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6460 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6480 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6500 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=6505 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6510 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6530 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6550 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=6555 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6560 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6580 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6600 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=6605 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6610 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6630 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6650 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=6655 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6660 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6680 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6700 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=6705 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6710 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6730 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6750 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=6755 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6760 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6780 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6800 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=6805 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6810 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6830 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6850 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=6855 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6860 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6880 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6900 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=6905 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6910 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6930 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=6950 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=6955 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=6960 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=6980 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7000 ns
		u_d <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7005 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7010 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7030 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7050 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=7055 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7060 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7080 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7100 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=7105 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7110 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7130 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7150 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=7155 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7160 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7180 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7200 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=7205 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7210 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7230 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7250 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=7255 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7260 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7280 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7300 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=7305 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7310 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7330 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7350 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=7355 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7360 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7380 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7400 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=7405 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7410 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7430 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7450 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=7455 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7460 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7480 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7500 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=7505 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7510 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7530 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7550 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=7555 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7560 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7580 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7600 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=7605 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7610 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7630 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7650 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=7655 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7660 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7680 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7700 ns
		u_d <= transport '0';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7705 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7710 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7730 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7750 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=7755 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7760 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7780 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7800 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=7805 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7810 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7830 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7850 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=7855 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7860 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7880 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7900 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=7905 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7910 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7930 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=7950 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=7955 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=7960 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=7980 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8000 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=8005 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8010 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8030 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8050 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=8055 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8060 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8080 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8100 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=8105 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8110 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8130 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8150 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=8155 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8160 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8180 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8200 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=8205 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8210 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8230 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8250 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=8255 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8260 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8280 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8300 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=8305 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8310 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8330 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8350 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=8355 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8360 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8380 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8400 ns
		u_d <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8405 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8410 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8430 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8450 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=8455 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8460 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8480 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8500 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=8505 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8510 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8530 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8550 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=8555 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8560 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8580 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8600 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=8605 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8610 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8630 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8650 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=8655 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8660 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8680 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8700 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=8705 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8710 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8730 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8750 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=8755 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8760 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8780 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8800 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=8805 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8810 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8830 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8850 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=8855 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8860 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8880 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8900 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=8905 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8910 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8930 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=8950 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=8955 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=8960 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=8980 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9000 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=9005 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9010 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9030 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9050 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=9055 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9060 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9080 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9100 ns
		u_d <= transport '0';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9105 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9110 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9130 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9150 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=9155 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9160 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9180 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9200 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=9205 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9210 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9230 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9250 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=9255 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9260 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9280 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9300 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=9305 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9310 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9330 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9350 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=9355 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9360 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9380 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9400 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=9405 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9410 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9430 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9450 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=9455 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9460 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9480 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9500 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=9505 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9510 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9530 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9550 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=9555 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9560 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9580 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9600 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=9605 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9610 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9630 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9650 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=9655 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9660 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9680 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9700 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=9705 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9710 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9730 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9750 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=9755 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9760 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9780 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9800 ns
		u_d <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9805 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9810 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9830 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9850 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=9855 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9860 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9880 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9900 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=9905 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9910 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9930 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=9950 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=9955 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=9960 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=9980 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=10000 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=10005 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=10010 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=10030 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=10050 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=10055 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=10060 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=10080 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=10100 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=10105 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=10110 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=10130 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=10150 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=10155 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=10160 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=10180 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=10200 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=10205 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=10210 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=10230 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=10250 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=10255 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=10260 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=10280 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=10300 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=10305 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=10310 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=10330 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=10350 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=10355 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=10360 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=10380 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=10400 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=10405 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=10410 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=10430 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=10450 ns
		-- --------------------
		WAIT FOR 5 ns; -- Time=10455 ns
		clk <= transport '1';
		-- --------------------
		WAIT FOR 5 ns; -- Time=10460 ns
		-- --------------------
		WAIT FOR 20 ns; -- Time=10480 ns
		clk <= transport '0';
		-- --------------------
		WAIT FOR 20 ns; -- Time=10500 ns
		u_d <= transport '0';
		-- --------------------
		WAIT FOR 5 ns; -- Time=10505 ns
		-- --------------------

		IF (TX_ERROR = 0) THEN 
			write(TX_OUT,string'("No errors or warnings"));
			writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
				"Simulation successful (not a failure).  No problems detected. "
				SEVERITY FAILURE;
		ELSE
			write(TX_OUT, TX_ERROR);
			write(TX_OUT, string'(
				" errors found in simulation"));
			writeline(results, TX_OUT);
			ASSERT (FALSE) REPORT
				"Errors found during simulation"
				SEVERITY FAILURE;
		END IF;
	END PROCESS;
END testbench_arch;

CONFIGURATION u_d_cnt_cfg OF testbench IS
	FOR testbench_arch
	END FOR;
END u_d_cnt_cfg;
