library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity u_d_cnt is port (
	 clk, res, u_d: in std_logic;
	 q: out std_logic_vector(3 downto 0)
	 );
end u_d_cnt;

architecture a of u_d_cnt is
	signal stan: std_logic_vector(3 downto 0);
	constant S0: std_logic_vector(3 downto 0) := "0000";
	constant S2: std_logic_vector(3 downto 0) := "0010";
	constant S4: std_logic_vector(3 downto 0) := "0100";
	constant S6: std_logic_vector(3 downto 0) := "0110";
	constant S8: std_logic_vector(3 downto 0) := "1000";
	constant S10: std_logic_vector(3 downto 0) := "1010";
	constant S11: std_logic_vector(3 downto 0) := "1011";
	constant S12: std_logic_vector(3 downto 0) := "1100";
	constant S13: std_logic_vector(3 downto 0) := "1101";
	constant S14: std_logic_vector(3 downto 0) := "1110";
	constant S15: std_logic_vector(3 downto 0) := "1111";

begin 
process (clk, res) begin
  if (res = '1') then stan <= "0000";
	elsif (clk='1' and CLK'event) then
		if u_d = '1' then
		 case stan is 
		 when S0 => stan <= S2;
		 when S2 => stan <= S4;
		 when S4 => stan <= S6;
		 when S6 => stan <= S8;
		 when S8 => stan <= S10;
		 when S10 => stan <= S11;
		 when S11 => stan <= S12;
		 when S12 => stan <= S13;
		 when S13 => stan <= S14;
		 when S14 => stan <= S15;
		 when others => stan <= S0; -- konieczne dla CASE
		 end case;
		elsif u_d = '0' then
		 case stan is 
		 when S0 => stan <= S15;
		 when S2 => stan <= S0;
		 when S4 => stan <= S2;
		 when S6 => stan <= S4;
		 when S8 => stan <= S6;
		 when S10 => stan <= S8;
		 when S11 => stan <= S10;
		 when S12 => stan <= S11;
		 when S13 => stan <= S12;
		 when S14 => stan <= S13;
		 when S15 => stan <= S14;
		 when others => stan <= S0; -- konieczne dla CASE
		 end case;
		end if;      
	end if;      
 q <= stan;
end process;
end;
