library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity wired_mux is
    Port (
	 oe: std_logic_vector(2 downto 1);
  	 we2, we1: in std_logic;
	 wy: out std_logic
	 );
end wired_mux;

architecture behavioral of wired_mux is

begin
	wy <= we1 when (oe(1) = '1') else 'Z';
	wy <= we2 when (oe(2) = '1') else 'Z';
end behavioral;
