library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity wired_mux1 is
    port (
  	 we2, we1, adr: in std_logic;
	 wy: out std_logic
	 );
end wired_mux1;

architecture behavioral of wired_mux1 is
	signal oe1: std_logic;
	signal oe2: std_logic;
begin
	oe1 <= adr;
	oe2 <= not adr;
	wy <= we1 when (oe1 = '1') else 'Z';
	wy <= we2 when (oe2 = '1') else 'Z';
end behavioral;
